<?php
include ('../conexion.php');
$id_denuncia = $_GET["id"];
$query = "SELECT * FROM registros WHERE id_registro = $id_denuncia";
$consulta = mysqli_query($conectar, $query);

while($row = mysqli_fetch_array($consulta)){
   $acto_delictivo = $row['acto_delictivo'];
   $lugar = $row['ubicacion_incidente'];
   $fecha = $row['fecha_hora'];
   $hora = $row['hora'];
   $pers_inv = $row['pers_inv'];
   $vehiculos = $row['vehiculos'];
   $armas = $row['armas'];
   $acontecimiento = $row['acontecimiento'];
   $comentarios = $row['comentarios'];
}


require('./fpdf.php');

class PDF extends FPDF
{
   // Cabecera de página
   function Header()
   {
      $this->Image('mdc.png', 10, 5, 20); //logo de la empresa
      $this->Image('pnp.png', 180, 5, 20); //logo de la empresa
      $this->SetFont('Arial', 'B', 19); 
      $this->Cell(45); // Movernos a la derecha
      $this->SetTextColor(0, 0, 0); 
      $this->Cell(110, 15, utf8_decode('Denuncia Cieneguilla'), 0, 1, 'C', 0); 
      $this->Ln(3); // Salto de línea
      $this->SetTextColor(103); // Color del texto

   }
   
   

   // Pie de página
   function Footer()
   {
      $this->SetY(-15); // Posición: a 1,5 cm del final
      $this->SetFont('Arial', 'I', 8);
      $this->Cell(0, 10, utf8_decode('Página ') . $this->PageNo() . '/{nb}', 0, 0, 'C'); // Número de página
      $this->SetY(-15); // Posición: a 1,5 cm del final
      $this->SetFont('Arial', 'I', 8); // Fuente cursiva
      $hoy = date('d/m/Y');
      $this->Cell(355, 10, utf8_decode($hoy), 0, 0, 'C'); // Fecha en pie de página
   }

   // Función para agregar una nueva página si es necesario
   function CheckPageBreak($altura)
   {
      if ($this->GetY() + $altura > $this->GetPageHeight() - 20) { // Verifica si el contenido sobrepasa el espacio disponible
         $this->AddPage(); // Si es necesario, agrega una nueva página
      }
   }

   // Función para calcular la altura de una cadena de texto con MultiCell
   function GetTextHeight($text, $width, $font_size = 12)
   {
      $this->SetFont('Arial', '', $font_size);
      $line_count = ceil($this->GetStringWidth($text) / $width); // Número de líneas necesarias
      return $line_count * $font_size; // Altura aproximada
   }
}

// Instancia del PDF
$pdf = new PDF();
$pdf->AddPage();
$pdf->AliasNbPages(); // Muestra el número total de páginas

$pdf->Ln(15);


// Datos de ejemplo
$datos = [
   ['Código', ': 00'.$id_denuncia],
   ['Acto delictivo', ': '.$acto_delictivo],
   ['Lugar', ': '.$lugar],
   ['Fecha', ': '.$fecha],
   ['Hora', ': '.$hora],
];

// Configuración de los anchos de las columnas
$ancho_izquierda = 30; // Ancho de la columna izquierda
$ancho_derecha = $pdf->GetPageWidth() - 50;  // Ancho de la columna derecha

// Dibujar la tabla
foreach ($datos as $fila) {
   $x = $pdf->GetX(); // Coordenada X actual
   $y = $pdf->GetY(); // Coordenada Y actual

   // Celda izquierda (Campo)
   $pdf->SetFont('Arial', 'B', 10);
   $pdf->SetFillColor(255, 255, 255); // Fondo azul claro
   $pdf->MultiCell($ancho_izquierda, 6, utf8_decode($fila[0]), 0, 'L', true);

   // Posicionar para la celda derecha
   $pdf->SetXY($x + $ancho_izquierda, $y);

   // Celda derecha (Contenido)
   $pdf->SetFont('Arial', '', 10);
   $pdf->SetFillColor(255, 255, 255); // Fondo gris claro
   $pdf->MultiCell($ancho_derecha, 6, utf8_decode($fila[1]), 0, 'J', true);
}
$pdf->Ln(10);


$pdf->SetTextColor(28, 28, 28);
$pdf->Cell(50);  
$pdf->SetFont('Arial', 'B', 15);
$pdf->Cell(100, 0, utf8_decode("CONTENIDO DE LA DENUNCIA "), 0, 1, 'C', 0);
$pdf->Ln(5);



// Datos de la tabla (en una sola columna)
$datos = [
   'Personas Involucradas',
   $pers_inv,
   'Vehículos involucrados',
   $vehiculos,
   'Armas Involucradas',
   $armas,
   'Acontecimiento',
   $acontecimiento,
   'Comentarios',
   $comentarios,
];

// Establecer el ancho de la columna
$ancho_columna = $pdf->GetPageWidth() - 20; // Ancho de la columna

// Dibujar la tabla con celdas intercaladas
foreach ($datos as $key => $dato) {
    // Si es un índice par, lo tratamos como título
    if ($key % 2 == 0) {
        $pdf->SetFont('Arial', 'B', 12); // Negrita para los títulos
        $pdf->SetFillColor(173, 211, 163); // Color de fondo para títulos
    } else {
        $pdf->SetFont('Arial', '', 12); // Normal para los contenidos
        $pdf->SetFillColor(240, 240, 240); // Color de fondo para los contenidos
    }

    // Usar MultiCell para contenido largo
    $pdf->MultiCell($ancho_columna, 10, utf8_decode($dato), 1, 'J', true);
}

// Generar el PDF
$pdf->Output('Denuncia.pdf', 'I');