<?php
include ('conexion.php');

$response = ['success' => false, 'message' => ''];

$id_user = 1;
$queryu = "SELECT id_registro FROM registros ORDER by id_registro DESC LIMIT 1";
$consultau = mysqli_query($conectar, $queryu);
while($row = mysqli_fetch_array($consultau)){
    $id_user = $row['id_registro']+1;
}

if ($conectar->connect_error) {
    $response['message'] = "Conexión fallida: " . $conectar->connect_error;
    echo json_encode($response);
    exit;
}
   // Obtener los datos del usuario
   $tipo = mysqli_real_escape_string($conectar, $_POST['tipo']);
   $fecha = mysqli_real_escape_string($conectar, $_POST['fecha']);
   $hora = mysqli_real_escape_string($conectar, $_POST['hora']);
   $acontecimiento = mysqli_real_escape_string($conectar, $_POST['acontecimiento']);
   $referencia = mysqli_real_escape_string($conectar, $_POST['referencia']);
   $vehiculos = mysqli_real_escape_string($conectar, $_POST['vehiculos']);
   $armas = mysqli_real_escape_string($conectar, $_POST['armas']);
   $ubicacion = mysqli_real_escape_string($conectar, $_POST['ubicacion']);
   $comentarios = mysqli_real_escape_string($conectar, $_POST['comentarios']);


// Validar si se envió el formulario
    // Subir imágenes
    $images = $_FILES['images'];
    $video = $_FILES['video'];

    // Limitar a 5 imágenes
    if (count($images['name']) > 5) {
        $response['message'] = "Solo puedes subir un máximo de 5 imágenes.";
        echo json_encode($response);
        exit;
    }
// Insertar datos en registro en la base de datos
   $stmt = $conectar->prepare("INSERT INTO registros (acto_delictivo, fecha_hora, hora, acontecimiento, pers_inv, vehiculos, armas, ubicacion_incidente, comentarios) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?)");
   $stmt->bind_param("sssssssss", $tipo, $fecha, $hora, $acontecimiento, $referencia, $vehiculos, $armas, $ubicacion, $comentarios);

   if (!$stmt->execute()) {
       $response['message'] = "Error al registrar el usuario.";
       echo json_encode($response);
       exit;
   }
    // Procesar imágenes
    for ($i = 0; $i < count($images['name']); $i++) {
        if ($images['error'][$i] == 0) {
            $imageName = uniqid() . "-" . basename($images['name'][$i]);
            $imagePath = "uploads/images/" . $imageName;

            // Mover archivo a la carpeta de destino
            if (move_uploaded_file($images['tmp_name'][$i], $imagePath)) {
                // Insertar en la base de datos
                $stmt = $conectar->prepare("INSERT INTO imagenes (id_usuario, nombre, ruta) VALUES (?, ?, ?)");
                
                $stmt->bind_param("sss", $id_user, $imageName, $imagePath);
                $stmt->execute();
            } else {
                $response['message'] = "Error al subir la imagen.";
                echo json_encode($response);
                exit;
            }
        }
    }
    // Procesar el video (si existe)
    if ($video['error'] == 0) {
        $videoName = uniqid() . "-" . basename($video['name']);
        $videoPath = "uploads/videos/" . $videoName;

        // Mover archivo a la carpeta de destino
        if (move_uploaded_file($video['tmp_name'], $videoPath)) {
            // Insertar en la base de datos
            $stmt = $conectar->prepare("INSERT INTO videos (id_usuario, nom_video, ruta_video) VALUES (?, ?, ?)");
            
            $stmt->bind_param("sss", $id_user, $videoName, $videoPath);
            $stmt->execute();
        } else {
            $response['message'] = "Error al subir el video.";
            echo json_encode($response);
            exit;
        }
    }
 
    // Si todo salió bien
    $response['success'] = true;
    $response['message'] = "Su denuncia ha sido registrado correctamente.";
// Cerrar la conexión
$conectar->close();
// Devolver la respuesta como JSON
echo json_encode($response);

